<?php
include_once('api/_app_mpdf/mpdf.php');
ob_start();
?>
<style>
    h1{
        font-size: 20px;
    }
    h2{
        font-size: 16px;
        color:#204d74;	
    }
</style>
<div class="content">
    <?php
    $valor = ($_REQUEST['valor']);
    $codigos = isset($_REQUEST['codigos']) ? json_decode($_REQUEST['codigos']) : array();
    $dados = isset($_REQUEST['dados']) ? json_decode($_REQUEST['dados']) : array();
        
    if ($codigos) {
        foreach ($codigos as $codigo) {
            ?>
            <div style="float: left;border:solid 1px #204d74; padding: 5px; width: 150px; height: 150px;margin-left: 2px;margin-bottom: 2px ; text-align: center;vertical-align: middle; ">
                <?= "<h1>R$ " . $valor . ",00</h1>" ?>
                <h1>Código: <?= $codigo; ?></h1>
            </div>
            <?php
        }
    } elseif ($dados) {
        foreach ($dados as $dado) {
            ?>
            <div style="float: left;border:solid 1px #204d74; padding: 5px; width: 150px; height: 150px;margin-left: 2px;margin-bottom: 2px ; text-align: center;vertical-align: middle; ">
                <?= "<h1>R$ " . $dado->valor . ",00</h1>" ?>
                <h1>Código: <?= $dado->codigo; ?></h1>
            </div>
            <?php
            $i++;
        }
    }
    ?>
</div>
<?php
$html = ob_get_contents();
ob_end_clean();
$mpdf = new mPDF();
$mpdf->debug = true;
$mpdf->WriteHTML($html);
$mpdf->Output(md5(time()) . '.pdf', 'D');
exit;
